# vehicle_gui_base.h File Reference

Functions/classes shared between the different vehicle list GUIs. More...

`#include "sortlist_type.h"`

Go to the source code of this file.

## Data Structures

struct | BaseVehicleListWindow
struct | Sorting

## Typedefs

typedef GUIList< const Vehicle * > | GUIVehicleList

## Functions

uint | GetVehicleListHeight (VehicleType type, uint divisor=1)
| Get the height of a vehicle in the vehicle list GUIs.

## Variables

Sorting | _sorting

## Detailed Description

Functions/classes shared between the different vehicle list GUIs.

Definition in file vehicle_gui_base.h.

## Function Documentation

uint GetVehicleListHeight | ( | VehicleType | type,
|  | uint | divisor |
| ) |  |  |

Get the height of a vehicle in the vehicle list GUIs.

Parameters:

  | type | the vehicle type to look at
  | divisor | the resulting height must be dividable by this

Returns:
  the height

Definition at line 885 of file vehicle_gui.cpp.

References FONT_HEIGHT_SMALL, GetVehicleHeight(), max(), and VEH_SHIP.

Referenced by VehicleListWindow::UpdateWidgetSize().